Bug 540447 - Please add Maven depmap fragments
Please add Maven depmap fragments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jakarta-commons-fileupload (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 07:29 EST by Mary Ellen Foster
Modified: 2010-01-15 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 17:07:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-23 07:29:37 EST
Description of problem:

Please add Maven depmap fragments to the spec file as specified here:
   https://fedoraproject.org/wiki/Packaging/Java#maven
This makes it possible for other packages that use Maven to build against the
jakarta-commons-fileupload library.

The appropriate call to %add_to_maven_depmap is probably:
   %add_to_maven_depmap commons-fileupload commons-fileupload %{version} JPP commons-fileupload

Version-Release number of selected component (if applicable):
jakarta-commons-fileupload-1.0-9.3.fc12.x86_64
Comment 1 Mary Ellen Foster 2009-12-03 06:04:18 EST
I'd like to add the necessary Maven metadata myself, using provenpackager access. If you don't want me to do this, please let me know before Saturday 5 December.
Comment 2 Permaine Cheung 2009-12-04 13:21:12 EST
Please go ahead and add the maven depmap fragment.
Comment 3 Mary Ellen Foster 2009-12-11 10:03:36 EST
Would it be okay to also update to the newest upstream version (bug 543446)? The current version is really pretty old ...
Comment 4 Fedora Update System 2010-01-06 10:59:15 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jakarta-commons-fileupload-1.2.1-1.fc12
Comment 5 Fedora Update System 2010-01-06 19:57:55 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-fileupload'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0238
Comment 6 Fedora Update System 2010-01-15 17:07:17 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.